Get all company's only module compatible with a given compatibility level

Prev Next
Get
/catalog/api/v2/modules/{compatibility}/mine
Security
API Key: ApiKeyAuth
Header parameter nameX-API-Key
Path parameters
compatibility
stringRequired
Valid values[ "sgis", "pvsyst", "iec", "cec", "pvcc" ]
Query parameters
name
string
manufacturer
string
manufacturerIds
string

Comma(,) separated ids of manufacturers

cutCellType
string
Valid values[ "1/1", "1/2", "1/3", "1/4" ]
technology
string
Valid values[ "MONO_CSI", "POLY_CSI", "CDTE", "THIN_FILM", "CIGS" ]
maxPowerStc
string

Maximum power at standard test conditions
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
maxPowerPtc
string

Maximum power at PV USA test conditions
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
maxNameplatePower
string

Nameplate maximum power
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
length
string

Module length
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
width
string

Module width
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
bifaciality
string

Bifaciality
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
degradation
string

Degradation of PV module performance per year
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
maxSysVoltageIec
string

Maximum system voltage IEC
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
maxSysVoltageUl
string

Maximum system voltage IEC
Expected format:

  • Values in range from-to $number--$number e.g. 0--100, -5--100, -100---5
  • Values greater than $number-- e.g. -5--, 0--, 100--
  • Values less than --$number e.g. ---5, --0, --100
Pattern^(-?\d*\.?\d+|\s*)--(-?\d*\.?\d+|\s*)$
sortColumn
string
Valid values[ "name", "max_nameplate_power", "manufacturer", "confidence_class", "technology", "cut_cell_type", "bifaciality" ]
sortOrder
string
Valid values[ "asc", "desc" ]
rating
string

X=0, C=10, B=20, A=30, A+=40. Comma (,) separated.

confidenceClass
string

X=0, C=10, B=20, A=30, A+=40. Comma (,) separated.

perPage
number
Minimum1
Maximum100
Default10
currentPage
number
Minimum1
Default1
Responses
200

List of modules compatible with the given compatibility level

Expand All
object
data
Array
OneOf
SgisModuleForList
object (SgisModuleForList)
id
string
bifaciality
number
name
string
confidenceClass
number
Default0
status
string
pNom
number
manufacturer
string
type
string
attachmentsCount
number
cutCellOptions
object
type
string
Valid values[ "HALF_CELL", "THIRD_CELL", "QUARTER_CELL" ]
IecModuleForList
object (IecModuleForList)
id
string (uuid)
EEName
string
confidenceClass
number
Default0
status
string
Valid values[ "CONCEPT", "VALIDATED", "REVIEW_PENDING", "REVIEW_IN_PROGRESS", "REVIEW_APPROVED", "REVIEW_REJECTED", "PUBLISHED", "ARCHIVED", "EXPIRED" ]
CecModuleForList
object (CecModuleForList)
id
string (uuid)
Manufacturer
string | null
Name
string | null
Technology
string | null
Bifacial
number | null
confidenceClass
number | null
status
string | null
STC
number | null
PvsystModuleForList
object (PvsystModuleForList)
id
string
Model
string | null
Manufacturer
string | null
Technol
string | null
PNom
number | null
BifacialityFactor
number | null
confidenceClass
number
Default0
status
string | null
pagination
object
total
number
currentPage
number
lastPage
number
perPage
number
from
number
to
number
401

API Key is missing or invalid

object
message
string